package timertestapp;

import common.timer.TimerTestTask;
import common.timer.ejb.TimerSvcImpl;
import java.util.Timer;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author riccardo
 */
public class TimerTestApp {

    private static final long DURATION = 2L<<30L;
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        createTimer();
        try {
            System.out.println("sleeping " + DURATION + " seconds");
            Thread.sleep(DURATION);
        } catch (InterruptedException ex) {
            Logger.getLogger(TimerTestApp.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    public static Timer createTimer() {
        return TimerSvcImpl.getInstance().scheduleTask(new TimerTestTask());
    }
}
